Supercheck LogoSupercheck
CLI Tokens

Deny a CLI login (browser session only)

POST
/api/auth/device/deny

Terminally denies the request; also revokes an approval that has not yet been exchanged.

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

Interactive Better Auth browser session. Secure deployments may use the __Secure- cookie prefix.

Request Body

application/json
  1. body
user_code*string

Response Body

Recorded.

Example Request
curl -X POST 'https://app.supercheck.io/api/auth/device/deny' \  -H 'Content-Type: application/json' \  -d '{  "user_code": "string"}'
Example Response
Empty